> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Payroll Config

> Fetches a token payroll with entity and contributors, plus a legacy-shaped copy for old UI.

Required scope: `payroll:read`. It also needs `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-token-payroll-config
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-token-payroll-config:
    get:
      operationId: getTokenPayrollConfig
      summary: Get Token Payroll Config
      x-toku-required-scope: payroll:read
      description: >-
        Fetches a token payroll with entity and contributors, plus a
        legacy-shaped copy for old UI.


        Required scope: `payroll:read`. It also needs `compensation:read`.
      parameters:
        - name: tokenPayrollId
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokenPayrollConfigResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetTokenPayrollConfigResponse:
      type: object
      properties:
        tokenPayroll:
          type:
            - object
            - 'null'
          properties:
            tokenPayrollID:
              type:
                - string
                - 'null'
            orgID:
              type:
                - string
                - 'null'
            payPeriodStart:
              type:
                - string
                - 'null'
            payPeriodEnd:
              type:
                - string
                - 'null'
            payDate:
              type:
                - string
                - 'null'
            payrollSyncedSource:
              type:
                - string
                - 'null'
            externalPayrollID:
              type:
                - string
                - 'null'
            fiatCurrency:
              type:
                - string
                - 'null'
            payrollEntityId:
              type:
                - string
                - 'null'
            state:
              type:
                - string
                - 'null'
            type:
              type:
                - string
                - 'null'
            importedData: {}
            createdAt:
              type:
                - string
                - 'null'
            updatedAt:
              type:
                - string
                - 'null'
            fundingEmailSent:
              type:
                - boolean
                - 'null'
            payrollGroup:
              type:
                - string
                - 'null'
            isPlaceholder:
              type:
                - boolean
                - 'null'
            payrollEntity:
              type:
                - object
                - 'null'
              properties:
                payrollEntityID:
                  type:
                    - string
                    - 'null'
                name:
                  type:
                    - string
                    - 'null'
                reportingCurrency:
                  type:
                    - string
                    - 'null'
                country:
                  type:
                    - string
                    - 'null'
            tokenTypeID:
              type:
                - string
                - 'null'
            contributorsInTokenPayroll:
              type:
                - array
                - 'null'
              items:
                type: object
                properties:
                  contributorInTokenPayrollID:
                    type:
                      - string
                      - 'null'
                  tokenPayrollID:
                    type:
                      - string
                      - 'null'
                  roleInOrgID:
                    type:
                      - string
                      - 'null'
                  totalPayrollAmount:
                    type:
                      - number
                      - 'null'
                  totalDeductionAmount:
                    type:
                      - number
                      - 'null'
                  netPayrollAmount:
                    type:
                      - number
                      - 'null'
                  roleInOrg:
                    type:
                      - object
                      - 'null'
                    properties:
                      roleInOrgID:
                        type:
                          - string
                          - 'null'
                      roleInOrgExternalID:
                        type:
                          - number
                          - 'null'
                      externalEmployeeID:
                        type:
                          - string
                          - 'null'
                      person:
                        type:
                          - object
                          - 'null'
                        properties:
                          fullName:
                            type:
                              - string
                              - 'null'
                          givenName:
                            type:
                              - string
                              - 'null'
                          familyName:
                            type:
                              - string
                              - 'null'
          required:
            - importedData
        payroll:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
            name:
              type:
                - string
                - 'null'
            entity:
              type:
                - string
                - 'null'
            payPeriodStart:
              type:
                - string
                - 'null'
            payPeriodEnd:
              type:
                - string
                - 'null'
            payDate:
              type:
                - string
                - 'null'
            currentStep:
              type:
                - string
                - 'null'
            state:
              type:
                - string
                - 'null'
            type:
              type:
                - string
                - 'null'
            externalPayrollID:
              type:
                - string
                - 'null'
            fiatCurrency:
              type:
                - string
                - 'null'
            tokenTypeID:
              type:
                - string
                - 'null'
            exchangeRate:
              type:
                - number
                - 'null'
            isStablecoinPayrollComplete:
              type:
                - boolean
                - 'null'
            isFiatPayrollComplete:
              type:
                - boolean
                - 'null'
            isSyncedFromHRIS:
              type:
                - boolean
                - 'null'
            selectedEmployeeIds:
              type:
                - array
                - 'null'
              items:
                type: string
            importedData: {}
            processedData: {}
            settlementData: {}
            isCsvUploaded:
              type:
                - boolean
                - 'null'
            createdAt:
              type:
                - string
                - 'null'
            updatedAt:
              type:
                - string
                - 'null'
            createdByID:
              type:
                - string
                - 'null'
            lastModifiedByID:
              type:
                - string
                - 'null'
            orgID:
              type:
                - string
                - 'null'
            payrollSyncedSource:
              type:
                - string
                - 'null'
            fundingEmailSent:
              type:
                - boolean
                - 'null'
            payrollGroup:
              type:
                - string
                - 'null'
            isPlaceholder:
              type:
                - boolean
                - 'null'
          required:
            - importedData
            - processedData
            - settlementData
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
